# Class LabeledFaceDescriptors

#### Hierarchy

- LabeledFaceDescriptors

- Defined in classes/LabeledFaceDescriptors.ts:1

#####
Index

### Constructors

constructor

### Accessors

descriptors
label

### Methods

toJSON
fromJSON

## Constructors

### constructor

- new LabeledFaceDescriptors(label: string, descriptors: Float32Array[]): LabeledFaceDescriptors

- #### Parameters

  - ##### label: string

  - ##### descriptors: Float32Array[]

  #### Returns LabeledFaceDescriptors

  - Defined in classes/LabeledFaceDescriptors.ts:6

## Accessors

### descriptors

- get descriptors(): Float32Array[]

- #### Returns Float32Array[]

  - Defined in classes/LabeledFaceDescriptors.ts:21

### label

- get label(): string

- #### Returns string

  - Defined in classes/LabeledFaceDescriptors.ts:19

## Methods

### toJSON

- toJSON(): any

- #### Returns any

  - Defined in classes/LabeledFaceDescriptors.ts:23

### `Static` fromJSON

- fromJSON(json: any): LabeledFaceDescriptors

- #### Parameters

  - ##### json: any

  #### Returns LabeledFaceDescriptors

  - Defined in classes/LabeledFaceDescriptors.ts:30